View all methods

catalog.entityTypes.list

List all entity types in your software catalog.

Facts

Method GET https://api.getdx.com/catalog.entityTypes.list
Required scope catalog:read

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Optional arguments

Name Type Description
cursor String Cursor used to request the next page. Can be found in prior request via response_metadata.next_cursor.
limit Integer Limit the number of entity types per page. Defaults to 50.

Example request

This is a typical request:

curl https://api.getdx.com/catalog.entityTypes.list?cursor=xuvkgfq9t0ty&limit=1 \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "entity_types": [
    {
      "identifier": "www",
      "created_at": "2025-01-02 20:48:45.77969",
      "updated_at": "2025-01-02 20:48:45.77969",
      "name": "Website",
      "description": "DX Website entities.",
      "ordering": 0,
      "properties": [
        {
          "type": "multi_select",
          "identifier": "language",
          "name": "Language",
          "description": "Languages used by the website",
          "visibility": "visible",
          "ordering": 0,
          "definition": {
            "options": [
              { "value": "Ruby", "color": "#fb923c" },
              { "value": "HTML", "color": "#fb923c" },
              { "value": "Shell", "color": "#fb923c" }
            ]
          }
        }
      ],
      "aliases": {
        "github_repo": true
      }
    }
  ],
  "response_metadata": {
    "next_cursor": "avsgf30ccan3"
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.

Legacy path

This method is temporarily still available at the following legacy path:

GET https://api.getdx.com/entityTypes.list

ore.search.term">"